Module | Sequel::Plugins::Serialization::ClassMethods
In: | lib/sequel/plugins/serialization.rb

### Methods

inherited

### Attributes

serialization_format | [R] | The serialization format to use, should be :marshal or :yaml
serialized_columns | [R] | The columns to serialize

### Public Instance methods

inherited(subclass)

Copy the serialization format and columns to serialize into the subclass.

[Source]

        # File lib/sequel/plugins/serialization.rb, line 56
    56:         def inherited(subclass)
    57:           super
    58:           sf = serialization_format
    59:           sc = serialized_columns
    60:           subclass.instance_eval do
    61:             @serialization_format = sf
    62:             @serialized_columns = sc
    63:           end
    64:         end

[Validate]